MCP Tools Reference: bigquerydatatransfer.googleapis.com

Tool: delete_transfer_run

Delete a transfer run.

The following example shows an MCP call to delete a transfer run by its resource name.

delete_transfer_run(name="projects/myproject/locations/myregion/transferConfigs/mytransferconfig/runs/mytransferrun")

The following sample demonstrate how to use curl to invoke the delete_transfer_run MCP tool.

Curl Request
                  
curl --location 'https://bigquerydatatransfer.googleapis.com/mcp' \
--header 'content-type: application/json' \
--header 'accept: application/json, text/event-stream' \
--data '{
  "method": "tools/call",
  "params": {
    "name": "delete_transfer_run",
    "arguments": {
      // provide these details according to the tool's MCP specification
    }
  },
  "jsonrpc": "2.0",
  "id": 1
}'
                

Input Schema

A request to delete data transfer run information.

DeleteTransferRunRequest

JSON representation
{
  "name": string
}
Fields
name

string

Required. The name of the resource requested. If you are using the regionless method, the location must be US and the name should be in the following form:

  • projects/{project_id}/transferConfigs/{config_id}/runs/{run_id}

If you are using the regionalized method, the name should be in the following form:

  • projects/{project_id}/locations/{location_id}/transferConfigs/{config_id}/runs/{run_id}

Output Schema

A generic empty message that you can re-use to avoid defining duplicated empty messages in your APIs. A typical example is to use it as the request or the response type of an API method. For instance:

service Foo {
  rpc Bar(google.protobuf.Empty) returns (google.protobuf.Empty);
}

Tool Annotations

Destructive Hint: ✅ | Idempotent Hint: ❌ | Read Only Hint: ❌ | Open World Hint: ❌